## org.apache.cassandra.cql
Class CQLStatement

    java.lang.Object
      org.apache.cassandra.cql.CQLStatement

    public class CQLStatement

extends java.lang.Object

Field Summary
`java.lang.Object` `statement`
`StatementType` `type`

Constructor Summary
`CQLStatement(StatementType type, java.lang.Object statement)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### type

    public StatementType type

### statement

    public java.lang.Object statement

Constructor Detail

### CQLStatement

    public CQLStatement(StatementType type,
                        java.lang.Object statement)

Copyright © 2012 The Apache Software Foundation